/* Plain Vanilla TT Library 1.0 characters header */

/* dingbats */

#define SMALL_BULLET                           250
#define MEDIUM_BULLET                          249
#define LARGE_BULLET                             7 /* bell */
#define REVERSE_LARGE_BULLET                     8 /* backspace */
#define CIRCLE                                   9 /* tab */
#define REVERSE_CIRCLE                          10 /* line feed */
#define SMALL_BLOCK                            254
#define PARAGRAPH                               20
#define SECTION                                 21
#define STAR                                    15
#define DOUBLE_EXCLAMATION                      19
#define BLACK_FACE                               1
#define WHITE_FACE                               2
#define TAB_STOP                               127
#define DEPRESSED_HYPHEN                        22

/* cards */

#define CLUB                                     5
#define DIAMOND                                  4
#define HEART                                    3
#define SPADE                                    6

/* currency */

#define CENT                                   155
#define POUND                                  156
#define YEN                                    157
#define PESETA                                 158
#define FRANC                                  159

/* Greek letters */

#define SMALL_ALPHA                            224
#define SMALL_BETA                             225
#define CAPITAL_GAMMA                          226
#define SMALL_DELTA                            235
#define SMALL_THETA                            233
#define SMALL_MU                               230
#define SMALL_PI                               227
#define SMALL_TAU                              231
#define SMALL_SIGMA                            229
#define CAPITAL_SIGMA                          228
#define SMALL_PHI                              237
#define CAPITAL_PHI                            232
#define CAPITAL_OMEGA                          234

/* obsolete and foreign Roman letters */

#define SMALL_AE                               145
#define CAPITAL_AE                             146
#define SMALL_CEDILLA                          135
#define CAPITAL_CEDILLA                        128

/* letters with diacritical marks */

#define SMALL_A_ACUTE                          160
#define SMALL_A_GRAVE                          133
#define SMALL_A_UMLAUT                         132
#define CAPITAL_A_UMLAUT                       142
#define SMALL_A_CIRCUMFLEX                     131
#define SMALL_A_CIRCLE                         134
#define CAPITAL_A_CIRCLE                       143

#define SMALL_E_ACUTE                          130
#define CAPITAL_E_ACUTE                        144
#define SMALL_E_GRAVE                          138
#define SMALL_E_DIAERESIS                      137
#define SMALL_E_CIRCUMFLEX                     136

#define SMALL_I_ACUTE                          161
#define SMALL_I_GRAVE                          141
#define SMALL_I_DIAERESIS                      139
#define SMALL_I_CIRCUMFLEX                     140

#define SMALL_N_TILDE                          164
#define CAPITAL_N_TILDE                        165

#define SMALL_O_ACUTE                          162
#define SMALL_O_GRAVE                          149
#define SMALL_O_UMLAUT                         148
#define CAPITAL_O_UMLAUT                       153
#define SMALL_O_CIRCUMFLEX                     147

#define SMALL_U_ACUTE                          163
#define SMALL_U_GRAVE                          151
#define SMALL_U_UMLAUT                         129
#define CAPITAL_U_UMLAUT                       154
#define SMALL_U_DIAERESIS                      SMALL_U_UMLAUT
#define CAPITAL_U_DIAERESIS                    CAPITAL_U_UMLAUT
#define SMALL_U_CIRCUMFLEX                     150

#define SMALL_Y_DIAERESIS                      152

/* Spanish punctuation */

#define INVERTED_QUESTION                      168
#define INVERTED_EXCLAMATION                   173

/* superscripts */

#define SUPERSCRIPT_A                          166
#define SUPERSCRIPT_N                          252
#define SUPERSCRIPT_O                          167
#define SQUARED                                253
#define DEGREES                                248

/* mathematics */

#define IDENTICAL                              240
#define APPROXIMATELY_EQUAL                    247
#define LESS_OR_EQUAL                          243
#define MUCH_LESS                              174
#define GREATER_OR_EQUAL                       242
#define MUCH_GREATER                           175
#define MEMBER_OF                              238
#define INTERSECTION                           239
#define PLUS_OR_MINUS                          241
#define DIVIDED_BY                             246
#define NEGATION                               169
#define SQUARE_ROOT                            251
#define ONE_FOURTH                             172
#define ONE_HALF                               171
#define INFINITY                               236
#define INTEGRAL_TOP                           244
#define INTEGRAL_BOTTOM                        245

/* arrowheads */

#define LEFT_ARROWHEAD                          17
#define RIGHT_ARROWHEAD                         16
#define UP_ARROWHEAD                            30
#define DOWN_ARROWHEAD                          31

/* arrows */

#define LEFT_ARROW                              27
#define RIGHT_ARROW                             26 /* end of file */
#define LEFT_RIGHT_ARROW                        29
#define UP_ARROW                                24
#define DOWN_ARROW                              25
#define UP_DOWN_ARROW                           18
#define UNDERSCORED_UP_DOWN_ARROW               23

/* half blocks */

#define LEFT_HALF_BLOCK                        221
#define RIGHT_HALF_BLOCK                       222
#define TOP_HALF_BLOCK                         223
#define BOTTOM_HALF_BLOCK                      220

/* full blocks */

#define BLOCK                                  219
#define FAINT_BLOCK                            178
#define FAINTER_BLOCK                          177
#define FAINTEST_BLOCK                         176

/* single construction lines */

#define HORIZONTAL_LINE                        196
#define VERTICAL_LINE                          179

#define TOP_LEFT_CORNER                        218
#define TOP_RIGHT_CORNER                       191
#define BOTTOM_LEFT_CORNER                     192
#define BOTTOM_RIGHT_CORNER                    217
#define TEE_LEFT                               180
#define TEE_RIGHT                              195
#define TEE_UP                                 193
#define TEE_DOWN                               194
#define CROSSING                               197

/* double construction lines */

#define DOUBLE_HORIZONTAL_LINE                 205
#define DOUBLE_VERTICAL_LINE                   186

#define DOUBLE_TOP_LEFT_CORNER                 201
#define DOUBLE_TOP_RIGHT_CORNER                187
#define DOUBLE_BOTTOM_LEFT_CORNER              200
#define DOUBLE_BOTTOM_RIGHT_CORNER             188
#define DOUBLE_TEE_LEFT                        185
#define DOUBLE_TEE_RIGHT                       204
#define DOUBLE_TEE_UP                          202
#define DOUBLE_TEE_DOWN                        203
#define DOUBLE_CROSSING                        206


/* construction lines for figures with double vertical lines and
   single horizontal lines */

#define DOUBLE_VERTICAL_TOP_LEFT_CORNER        214
#define DOUBLE_VERTICAL_TOP_RIGHT_CORNER       183
#define DOUBLE_VERTICAL_BOTTOM_LEFT_CORNER     211
#define DOUBLE_VERTICAL_BOTTOM_RIGHT_CORNER    189
#define DOUBLE_VERTICAL_TEE_LEFT               182
#define DOUBLE_VERTICAL_TEE_RIGHT              199
#define DOUBLE_VERTICAL_TEE_UP                 208
#define DOUBLE_VERTICAL_TEE_DOWN               210
#define DOUBLE_VERTICAL_CROSSING               215

/* construction lines for figures with double horizontal lines and
   single vertical lines */

#define DOUBLE_HORIZONTAL_TOP_LEFT_CORNER      213
#define DOUBLE_HORIZONTAL_TOP_RIGHT_CORNER     184
#define DOUBLE_HORIZONTAL_BOTTOM_LEFT_CORNER   212
#define DOUBLE_HORIZONTAL_BOTTOM_RIGHT_CORNER  190
#define DOUBLE_HORIZONTAL_TEE_LEFT             181
#define DOUBLE_HORIZONTAL_TEE_RIGHT            198
#define DOUBLE_HORIZONTAL_TEE_UP               207
#define DOUBLE_HORIZONTAL_TEE_DOWN             209
#define DOUBLE_HORIZONTAL_CROSSING             216

/* miscellaneous */

#define MALE                                    11
#define FEMALE                                  12
#define INVERTED_NEGATION                       28
#define BACKWARD_NEGATION                      170
#define MUSIC_NOTE                              13 /* carriage return */
#define TWO_MUSIC_NOTES                         14
